Subject: bug#70442: [PATCH] Open new previews when they cover point

From: Arash Esbati <[email-masked]>
Date: Thu, 18 Apr 2024 14:49:51 +0200

Hi Paul,

Paul Nelson <[email-masked]> writes:

> Steps to reproduce:
> - Create test.tex with a valid equation environment.
> - Put the point inside the equation environment.
> - preview-buffer
>
> When the preview generates, the point is ejected from the equation
> environment due to the new overlay.
>
> With this patch, the preview instead temporarily opens, as if the user
> had entered it.
>
> I view the latter behavior as "clearly" better, but if I missed some
> advantage of the current approach or if my suggestion is deemed
> subjective, then I would be happy to resubmit the patch with this
> behavior enabled by a user option.

thanks for looking at this.  I'm not sure which behavior is better, but
since we're about to change something which was there "since forever", I
suggest to introduce an user option and make the new behavior "opt-in".

Does this make sense?

Best, Arash